diff --git a/vhdlparser/VhdlParser.cc b/vhdlparser/VhdlParser.cc
index df9bbe5..66dc147 100644
--- a/vhdlparser/VhdlParser.cc
+++ b/vhdlparser/VhdlParser.cc
@@ -5721,13 +5722,13 @@ if ( parse_sec==0 && Config_getBool(SHOW_INCLUDE_FILES) )
                    {
                            addVhdlType(s.data(),getLine(),Entry::VARIABLE_SEC,VhdlDocGen::LIBRARY,s.data(),"_library_",Public);
                    }
-                   QCString s1="library "+s;
+                   VhdlString s1="library "+s;
                    return s1;
 assert(false);
   }
 
 
-QCString VhdlParser::library_unit() {QCString s;
+VhdlString VhdlParser::library_unit() {VhdlString s;
     if (jj_2_43(2)) {if (!hasError) {
       
       primary_unit();
@@ -5768,7 +5769,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::literal() {QCString s;
+VhdlString VhdlParser::literal() {VhdlString s;
     if (jj_2_44(2147483647)) {if (!hasError) {
       
       s = bit_string_literal();
@@ -5830,7 +5831,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::logical_operator() {QCString s;if (!hasError) {
+VhdlString VhdlParser::logical_operator() {VhdlString s;if (!hasError) {
     
     s = logop();
     }
@@ -5840,7 +5841,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::loop_statement() {QCString s,s1,s2,s3;if (!hasError) {
+VhdlString VhdlParser::loop_statement() {VhdlString s,s1,s2,s3;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -5922,8 +5923,8 @@ if(s1.isEmpty())
     jj_consume_token(SEMI_T);
     }
     
-QCString q = s+" loop "+s2+" end loop" +s3;
-         QCString endLoop="end loop" + s3;
+VhdlString q = s+" loop "+s2+" end loop" +s3;
+         VhdlString endLoop="end loop" + s3;
          FlowChart::moveToPrevLevel();
          FlowChart::addFlowChart(FlowChart::END_LOOP,endLoop.data(),0);
         return q;
@@ -5931,7 +5932,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::miscellaneous_operator() {Token *t=0;
+VhdlString VhdlParser::miscellaneous_operator() {Token *t=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case DOUBLEMULT_T:{if (!hasError) {
       
@@ -5975,7 +5976,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::mode() {Token *tok=0;
+VhdlString VhdlParser::mode() {Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case IN_T:{if (!hasError) {
       
@@ -6041,7 +6042,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::multiplying_operation() {Token *tok=0;
+VhdlString VhdlParser::multiplying_operation() {Token *tok=0;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case MULT_T:{if (!hasError) {
       
@@ -6096,7 +6097,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::name() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::name() {VhdlString s,s1;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case STRINGLITERAL:{if (!hasError) {
@@ -6148,7 +6149,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::name_ext1() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::name_ext1() {VhdlString s,s1,s2;if (!hasError) {
     
     s = name_ext();
     }
@@ -6177,7 +6178,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::name_ext() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::name_ext() {VhdlString s,s1,s2;if (!hasError) {
     
     if (jj_2_49(2147483647)) {if (!hasError) {
       
@@ -6277,7 +6278,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::test_att_name() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::test_att_name() {VhdlString s,s1;if (!hasError) {
     
     if (jj_2_53(2147483647)) {if (!hasError) {
       
@@ -6337,7 +6338,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::indexed_name() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::indexed_name() {VhdlString s,s1,s2;if (!hasError) {
     
     s2 = identifier();
     }
@@ -6390,7 +6391,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::next_statement() {QCString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
+VhdlString VhdlParser::next_statement() {VhdlString s,s1,s2;Token *t=0;Token *t1=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -6463,7 +6464,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::null_statement() {QCString s;if (!hasError) {
+VhdlString VhdlParser::null_statement() {VhdlString s;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -6501,7 +6502,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::numeric_literal() {QCString s;
+VhdlString VhdlParser::numeric_literal() {VhdlString s;
     if (jj_2_54(2147483647)) {if (!hasError) {
       
       s = physical_literal();
@@ -6536,7 +6537,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::object_class() {
+VhdlString VhdlParser::object_class() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case CONSTANT_T:{if (!hasError) {
       
@@ -6617,7 +6618,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::operator_symbol() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::operator_symbol() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(STRINGLITERAL);
     }
@@ -6663,7 +6664,7 @@ void VhdlParser::options() {if (!hasError) {
   }
 
 
-void VhdlParser::package_body() {QCString s;if (!hasError) {
+void VhdlParser::package_body() {VhdlString s;if (!hasError) {
     
     jj_consume_token(PACKAGE_T);
     }
@@ -6683,7 +6684,7 @@ void VhdlParser::package_body() {QCString s;if (!hasError) {
     
 lastCompound=current;
                         s.prepend("_");
-                        addVhdlType(s,getLine(),Entry::CLASS_SEC,VhdlDocGen::PACKAGE_BODY,0,0,Protected);
+                        addVhdlType(s.data(),getLine(),Entry::CLASS_SEC,VhdlDocGen::PACKAGE_BODY,0,0,Protected);
     }
     if (!hasError) {
     
@@ -6862,7 +6863,7 @@ void VhdlParser::package_body_declarative_part() {if (!hasError) {
   }
 
 
-void VhdlParser::package_declaration() {QCString s;if (!hasError) {
+void VhdlParser::package_declaration() {VhdlString s;if (!hasError) {
     
     jj_consume_token(PACKAGE_T);
     }
@@ -6880,12 +6881,12 @@ lastCompound=current;
                           Entry *clone=new Entry(*current);
                           clone->section=Entry::NAMESPACE_SEC;
                           clone->spec=VhdlDocGen::PACKAGE;
-                          clone->name=s;
+                          clone->name=s.data();
                           clone->startLine=getLine(PACKAGE_T);
                           clone->bodyLine=getLine(PACKAGE_T);
                           clone->protection=Package;
                           current_root->addSubEntry(clone);
-                          addVhdlType(s,getLine(PACKAGE_T),Entry::CLASS_SEC,VhdlDocGen::PACKAGE,0,0,Package);
+                          addVhdlType(s.data(),getLine(PACKAGE_T),Entry::CLASS_SEC,VhdlDocGen::PACKAGE,0,0,Package);
     }
     if (!hasError) {
     
@@ -7164,7 +7165,7 @@ void VhdlParser::package_declarative_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::parameter_specification() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::parameter_specification() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -7182,7 +7183,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::physical_literal() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::physical_literal() {VhdlString s,s1;if (!hasError) {
     
     if (jj_2_59(2147483647)) {if (!hasError) {
       
@@ -7203,7 +7204,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::physical_type_definition() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::physical_type_definition() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(UNITS_T);
     }
@@ -7296,7 +7297,7 @@ currP=0;
   }
 
 
-QCString VhdlParser::port_list() {QCString s;if (!hasError) {
+VhdlString VhdlParser::port_list() {VhdlString s;if (!hasError) {
     
     s = interface_list();
     }
@@ -7330,7 +7331,7 @@ void VhdlParser::port_map_aspect() {if (!hasError) {
   }
 
 
-QCString VhdlParser::primary() {QCString s,s1;
+VhdlString VhdlParser::primary() {VhdlString s,s1;
     if (jj_2_60(2147483647)) {if (!hasError) {
       
       s = function_call();
@@ -7474,7 +7475,7 @@ void VhdlParser::primary_unit() {
   }
 
 
-QCString VhdlParser::procedure_call() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::procedure_call() {VhdlString s,s1;if (!hasError) {
     
     s = name();
     }
@@ -7511,7 +7512,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::procedure_call_statement() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::procedure_call_statement() {VhdlString s,s1;if (!hasError) {
     
     if (jj_2_68(2)) {if (!hasError) {
       
@@ -7544,7 +7545,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::process_declarative_item() {QCString s;
+VhdlString VhdlParser::process_declarative_item() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case FUNCTION_T:
     case IMPURE_T:
@@ -7699,7 +7700,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::process_declarative_part() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::process_declarative_part() {VhdlString s,s1;if (!hasError) {
     
     while (!hasError) {
       switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
@@ -7741,7 +7742,7 @@ assert(false);
   }
 
 
-void VhdlParser::process_statement() {QCString s,s1,s2;Token *tok=0;if (!hasError) {
+void VhdlParser::process_statement() {VhdlString s,s1,s2;Token *tok=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -7913,13 +7914,13 @@ if(s.isEmpty())
    else
    currName=s;
 
-   current->name=currName;
+   current->name=currName.data();
    tempEntry=current;
    current->endBodyLine=getLine();
    currP=0;
  if(tok)
    s1=tok->image.data();
-  createFunction(currName,VhdlDocGen::PROCESS,s1.data());
+  createFunction(currName.data(),VhdlDocGen::PROCESS,s1.data());
   createFlow();
    currName="";
    newEntry();
@@ -7966,7 +7967,7 @@ void VhdlParser::process_statement_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::qualified_expression() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::qualified_expression() {VhdlString s,s1;if (!hasError) {
     
     s1 = identifier();
     }
@@ -8023,7 +8024,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::range() {QCString s,s1,s2;
+VhdlString VhdlParser::range() {VhdlString s,s1,s2;
     if (jj_2_72(2147483647)) {if (!hasError) {
       
       s = simple_expression();
@@ -8058,7 +8059,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::range_constraint() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::range_constraint() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(RANGE_T);
     }
@@ -8126,7 +8127,7 @@ void VhdlParser::record_type_definition() {if (!hasError) {
   }
 
 
-QCString VhdlParser::relation() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::relation() {VhdlString s,s1,s2;if (!hasError) {
     
     s = shift_expression();
     }
@@ -8160,7 +8161,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::relation_operator() {
+VhdlString VhdlParser::relation_operator() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case LT_T:{if (!hasError) {
       
@@ -8237,7 +8238,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::report_statement() {Token *t=0;Token *t1=0;QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::report_statement() {Token *t=0;Token *t1=0;VhdlString s,s1,s2;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -8297,7 +8298,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::return_statement() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::return_statement() {VhdlString s,s1;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -8365,7 +8366,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::scalar_type_definition() {QCString s,s1;
+VhdlString VhdlParser::scalar_type_definition() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case LPAREN_T:{if (!hasError) {
       
@@ -8433,7 +8434,7 @@ void VhdlParser::secondary_unit() {
   }
 
 
-QCString VhdlParser::secondary_unit_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::secondary_unit_declaration() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -8458,7 +8459,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::selected_name() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::selected_name() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -8559,7 +8560,7 @@ void VhdlParser::selected_waveforms() {if (!hasError) {
   }
 
 
-QCString VhdlParser::sensitivity_clause() {QCString s;if (!hasError) {
+VhdlString VhdlParser::sensitivity_clause() {VhdlString s;if (!hasError) {
     
     jj_consume_token(ON_T);
     }
@@ -8574,7 +8575,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::sensitivity_list() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::sensitivity_list() {VhdlString s,s1;if (!hasError) {
     
     s = name();
     }
@@ -8611,7 +8612,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::sequence_of_statement() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::sequence_of_statement() {VhdlString s,s1;if (!hasError) {
     
     while (!hasError) {
       if (jj_2_75(3)) {
@@ -8636,7 +8637,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::sequential_statement() {QCString s;
+VhdlString VhdlParser::sequential_statement() {VhdlString s;
     if (jj_2_76(2147483647)) {if (!hasError) {
       
       s = signal_assignment_statement();
@@ -8770,7 +8771,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::shift_expression() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::shift_expression() {VhdlString s,s1,s2;if (!hasError) {
     
     s = simple_expression();
     }
@@ -8804,7 +8805,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::shift_operator() {
+VhdlString VhdlParser::shift_operator() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLL_T:{if (!hasError) {
       
@@ -8881,7 +8882,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::sign() {
+VhdlString VhdlParser::sign() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PLUS_T:{if (!hasError) {
       
@@ -8914,7 +8915,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::signal_assignment_statement() {QCString s,s1,s2,s3;
+VhdlString VhdlParser::signal_assignment_statement() {VhdlString s,s1,s2,s3;
     if (jj_2_89(2147483647)) {if (!hasError) {
       
       conditional_signal_assignment_wave();
@@ -9016,7 +9017,7 @@ void VhdlParser::semi() {if (!hasError) {
   }
 
 
-void VhdlParser::signal_declaration() {Token* tok=0;QCString s,s1,s2,s3,s4;if (!hasError) {
+void VhdlParser::signal_declaration() {Token* tok=0;VhdlString s,s1,s2,s3,s4;if (!hasError) {
     
     jj_consume_token(SIGNAL_T);
     }
@@ -9079,7 +9080,7 @@ if(tok)
   }
 
 
-QCString VhdlParser::signal_kind() {
+VhdlString VhdlParser::signal_kind() {
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case REGISTER_T:{if (!hasError) {
       
@@ -9112,7 +9113,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::signal_list() {QCString s,s1;
+VhdlString VhdlParser::signal_list() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -9182,7 +9183,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::signature() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::signature() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(LBRACKET_T);
     }
@@ -9264,7 +9265,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::simple_expression() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::simple_expression() {VhdlString s,s1,s2;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PLUS_T:
@@ -9325,7 +9326,7 @@ void VhdlParser::simple_name() {if (!hasError) {
   }
 
 
-QCString VhdlParser::slice_name() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::slice_name() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -9347,7 +9348,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::string_literal() {Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::string_literal() {Token *tok=0;if (!hasError) {
     
     tok = jj_consume_token(STRINGLITERAL);
     }
@@ -9357,7 +9358,7 @@ assert(false);
   }
 
 
-void VhdlParser::subprogram_body() {QCString s;if (!hasError) {
+void VhdlParser::subprogram_body() {VhdlString s;if (!hasError) {
     
     jj_consume_token(IS_T);
     }
@@ -9370,7 +9371,7 @@ void VhdlParser::subprogram_body() {QCString s;if (!hasError) {
     
 if (s.data())
       {
-        FlowChart::addFlowChart(FlowChart::VARIABLE_NO,s,0);
+        FlowChart::addFlowChart(FlowChart::VARIABLE_NO,s.data(),0);
       }
       FlowChart::addFlowChart(FlowChart::BEGIN_NO,"BEGIN",0);
     }
@@ -9489,7 +9490,7 @@ void VhdlParser::subprogram_1() {
   }
 
 
-QCString VhdlParser::subprogram_declarative_item() {QCString s;
+VhdlString VhdlParser::subprogram_declarative_item() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case FUNCTION_T:
     case IMPURE_T:
@@ -9655,7 +9656,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::subprogram_declarative_part() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::subprogram_declarative_part() {VhdlString s,s1;if (!hasError) {
     
     while (!hasError) {
       switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
@@ -9722,7 +9723,7 @@ void VhdlParser::subprogram_kind() {
   }
 
 
-void VhdlParser::subprogram_specification() {QCString s;Token *tok=0;Token *t;
+void VhdlParser::subprogram_specification() {VhdlString s;Token *tok=0;Token *t;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PROCEDURE_T:{if (!hasError) {
       
@@ -9853,7 +9854,7 @@ newEntry();
       
 currP=VhdlDocGen::FUNCTION;
      if(tok)
-     createFunction(tok->image.c_str(),currP,s.data());
+     createFunction(tok->image.data(),currP,s.data());
      else
      createFunction(0,currP,s.data());
       tempEntry=current;
@@ -9902,7 +9903,7 @@ param_sec=0;
       if (!hasError) {
       
 tempEntry=current;
-                current->type=s;
+                current->type=s.data();
                 newEntry();
       }
       
@@ -9956,7 +9957,7 @@ void VhdlParser::subprogram_statement_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::subtype_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::subtype_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(SUBTYPE_T);
     }
@@ -9983,7 +9984,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::subtype_indication() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::subtype_indication() {VhdlString s,s1,s2;if (!hasError) {
     
     s = name();
     }
@@ -10015,7 +10016,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::suffix() {QCString s;
+VhdlString VhdlParser::suffix() {VhdlString s;
     if (jj_2_99(2147483647)) {if (!hasError) {
       
       s = name();
@@ -10070,7 +10071,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::target() {QCString s;
+VhdlString VhdlParser::target() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SLSL_T:
     case STRINGLITERAL:
@@ -10106,7 +10107,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::term() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::term() {VhdlString s,s1,s2;if (!hasError) {
     
     s = factor();
     }
@@ -10139,7 +10140,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::timeout_clause() {QCString s;if (!hasError) {
+VhdlString VhdlParser::timeout_clause() {VhdlString s;if (!hasError) {
     
     jj_consume_token(FOR_T);
     }
@@ -10153,7 +10154,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::type_conversion() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::type_conversion() {VhdlString s,s1;if (!hasError) {
     
     s = name();
     }
@@ -10175,7 +10176,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::type_declaration() {QCString s;
+VhdlString VhdlParser::type_declaration() {VhdlString s;
     if (jj_2_101(3)) {if (!hasError) {
       
       s = full_type_declaration();
@@ -10208,7 +10209,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::type_definition() {QCString s;
+VhdlString VhdlParser::type_definition() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case RANGE_T:
     case LPAREN_T:{if (!hasError) {
@@ -10292,7 +10293,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::type_mark() {QCString s;if (!hasError) {
+VhdlString VhdlParser::type_mark() {VhdlString s;if (!hasError) {
     
     s = name();
     }
@@ -10302,7 +10303,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::unconstraint_array_definition() {QCString s,s1,s2,s3;if (!hasError) {
+VhdlString VhdlParser::unconstraint_array_definition() {VhdlString s,s1,s2,s3;if (!hasError) {
     
     jj_consume_token(ARRAY_T);
     }
@@ -10359,13 +10360,13 @@ assert(false);
   }
 
 
-QCString VhdlParser::use_clause() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::use_clause() {VhdlString ws,ws1;if (!hasError) {
     
     jj_consume_token(USE_T);
     }
     if (!hasError) {
     
-    s = selected_name();
+    ws = selected_name();
     }
     if (!hasError) {
     
@@ -10384,11 +10385,11 @@ QCString VhdlParser::use_clause() {QCString s,s1;if (!hasError) {
       }
       if (!hasError) {
       
-      s1 = selected_name();
+      ws1 = selected_name();
       }
       if (!hasError) {
       
-s+=",";s+=s1;
+ws+=",";ws+=ws1;
       }
       
     }
@@ -10399,6 +10400,8 @@ s+=",";s+=s1;
     jj_consume_token(SEMI_T);
     }
     
+QCString s=ws.data();
+                   QCString s1=ws1.data();
                    QStringList ql1=QStringList::split(",",s,FALSE);
                    for (uint j=0;j<ql1.count();j++)
                    {
@@ -10409,13 +10412,15 @@ QStringList ql1=QStringList::split(",",s,FALSE);
                        VhdlParser::addVhdlType(it.data(),getLine(),Entry::VARIABLE_SEC,VhdlDocGen::USE,it.data(),"_use_",Public);
                      }
                    }
+
                    s1="use "+s;
-                   return s1;
+
+                   return VhdlString(s1.data()) ;
 assert(false);
   }
 
 
-QCString VhdlParser::variable_assignment_statement() {QCString s,s1,s2;
+VhdlString VhdlParser::variable_assignment_statement() {VhdlString s,s1,s2;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case LPAREN_T:
     case SLSL_T:
@@ -10483,7 +10488,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::variable_declaration() {Token *tok=0;Token *t1=0;QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::variable_declaration() {Token *tok=0;Token *t1=0;VhdlString s,s1,s2;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case SHARED_T:{if (!hasError) {
@@ -10541,8 +10546,8 @@ QCString VhdlParser::variable_declaration() {Token *tok=0;Token *t1=0;QCString s
 int spec;
     if(t1)
      s2.prepend(":=");
-    QCString val=" variable "+s+":"+s1+s2+";";
-    QCString it=s1;
+    VhdlString val=" variable "+s+":"+s1+s2+";";
+    VhdlString it=s1;
     if(tok != 0)
     {
      it.prepend(" shared ");
@@ -10562,7 +10567,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::wait_statement() {QCString s,s1,s2,s3;Token *t=0;if (!hasError) {
+VhdlString VhdlParser::wait_statement() {VhdlString s,s1,s2,s3;Token *t=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case BASIC_IDENTIFIER:
@@ -10642,7 +10647,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::waveform() {QCString s,s1;
+VhdlString VhdlParser::waveform() {VhdlString s,s1;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case ABS_T:
     case NEW_T:
@@ -10717,7 +10722,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::waveform_element() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::waveform_element() {VhdlString s,s1;if (!hasError) {
     
     s = expression();
     }
@@ -10750,7 +10755,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::protected_type_body() {if (!hasError) {
+VhdlString VhdlParser::protected_type_body() {if (!hasError) {
     
     jj_consume_token(PROTECTED_T);
     }
@@ -10946,7 +10951,7 @@ void VhdlParser::protected_type_body_declarative_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::protected_type_declaration() {if (!hasError) {
+VhdlString VhdlParser::protected_type_declaration() {if (!hasError) {
     
     jj_consume_token(PROTECTED_T);
     }
@@ -11057,7 +11062,7 @@ void VhdlParser::protected_type_declarative_part() {if (!hasError) {
   }
 
 
-QCString VhdlParser::context_ref() {QCString s;if (!hasError) {
+VhdlString VhdlParser::context_ref() {VhdlString s;if (!hasError) {
     
     jj_consume_token(CONTEXT_T);
     }
@@ -11075,7 +11080,7 @@ assert(false);
   }
 
 
-void VhdlParser::context_declaration() {QCString s,s1;if (!hasError) {
+void VhdlParser::context_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(CONTEXT_T);
     }
@@ -11157,7 +11162,7 @@ parse_sec=0;
   }
 
 
-QCString VhdlParser::libustcont_stats() {QCString s;
+VhdlString VhdlParser::libustcont_stats() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case USE_T:{if (!hasError) {
       
@@ -11201,7 +11206,7 @@ assert(false);
   }
 
 
-void VhdlParser::package_instantiation_declaration() {QCString s,s1,s2;if (!hasError) {
+void VhdlParser::package_instantiation_declaration() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(PACKAGE_T);
     }
@@ -11245,12 +11250,12 @@ void VhdlParser::package_instantiation_declaration() {QCString s,s1,s2;if (!hasE
     jj_consume_token(SEMI_T);
     }
     
-QCString q=" is new "+s1+s2;
+VhdlString q=" is new "+s1+s2;
       addVhdlType(s.data(),getLine(PACKAGE_T),Entry::VARIABLE_SEC,VhdlDocGen::INSTANTIATION,"package",q.data(),Public);
   }
 
 
-QCString VhdlParser::interface_package_declaration() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::interface_package_declaration() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(PACKAGE_T);
     }
@@ -11286,13 +11291,13 @@ QCString VhdlParser::interface_package_declaration() {QCString s,s1;if (!hasErro
     }
     }
     
-current->name=s;
+current->name=s.data();
                             return "package "+s+" is new "+s1;
 assert(false);
   }
 
 
-QCString VhdlParser::subprogram_instantiation_declaration() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::subprogram_instantiation_declaration() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(FUNCTION_T);
     }
@@ -11336,7 +11341,7 @@ QCString VhdlParser::subprogram_instantiation_declaration() {QCString s,s1,s2;if
     jj_consume_token(SEMI_T);
     }
     
-QCString q= " is new "+s1+s2;
+VhdlString q= " is new "+s1+s2;
       addVhdlType(s.data(),getLine(FUNCTION_T),Entry::VARIABLE_SEC,VhdlDocGen::INSTANTIATION,"function ",q.data(),Public);
     return q;
 assert(false);
@@ -11386,7 +11391,7 @@ void VhdlParser::gen_interface_list() {if (!hasError) {
     }
     if (!hasError) {
     
-//  QCString vo=$3;
+//  VhdlString vo=$3;
                           parse_sec=0;
     }
     if (!hasError) {
@@ -11615,7 +11620,7 @@ void VhdlParser::generate_statement_body1() {if (!hasError) {
   }
 
 
-QCString VhdlParser::external_name() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::external_name() {VhdlString s,s1,s2;if (!hasError) {
     
     jj_consume_token(SLSL_T);
     }
@@ -11640,14 +11645,14 @@ QCString VhdlParser::external_name() {QCString s,s1,s2;if (!hasError) {
     jj_consume_token(RSRS_T);
     }
     
-QCString t="<<"+s;
-                         QCString t1=s1+":"+s2+">>";
+VhdlString t="<<"+s;
+                         VhdlString t1=s1+":"+s2+">>";
                          return   s+s1;
 assert(false);
   }
 
 
-QCString VhdlParser::sig_stat() {Token *t;
+VhdlString VhdlParser::sig_stat() {Token *t;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case CONSTANT_T:{if (!hasError) {
       
@@ -11691,7 +11696,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::external_pathname() {QCString s;
+VhdlString VhdlParser::external_pathname() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case DOT_T:{if (!hasError) {
       
@@ -11735,7 +11740,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::absolute_pathname() {QCString s,s1;
+VhdlString VhdlParser::absolute_pathname() {VhdlString s,s1;
     if (jj_2_109(2147483647)) {if (!hasError) {
       
       jj_consume_token(DOT_T);
@@ -11780,7 +11785,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::relative_pathname() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::relative_pathname() {VhdlString s,s1,s2;if (!hasError) {
     
     s = neg_list();
     }
@@ -11805,7 +11810,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::neg_list() {QCString s;if (!hasError) {
+VhdlString VhdlParser::neg_list() {VhdlString s;if (!hasError) {
     
     while (!hasError) {if (!hasError) {
       
@@ -11838,7 +11843,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::pathname_element() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::pathname_element() {VhdlString s,s1;if (!hasError) {
     
     s = identifier();
     }
@@ -11874,7 +11879,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::pathname_element_list() {QCString s,s1,s2;if (!hasError) {
+VhdlString VhdlParser::pathname_element_list() {VhdlString s,s1,s2;if (!hasError) {
     if (!hasError) {
     
     s = pathname_element();
@@ -11918,7 +11923,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::package_path_name() {QCString s;if (!hasError) {
+VhdlString VhdlParser::package_path_name() {VhdlString s;if (!hasError) {
     
     jj_consume_token(AT_T);
     }
@@ -12547,7 +12552,7 @@ void VhdlParser::else_stat() {if (!hasError) {
   }
 
 
-QCString VhdlParser::interface_subprogram_declaration() {QCString s;
+VhdlString VhdlParser::interface_subprogram_declaration() {VhdlString s;
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PROCEDURE_T:{if (!hasError) {
       
@@ -12582,7 +12587,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::iproc() {QCString s,s1;if (!hasError) {
+VhdlString VhdlParser::iproc() {VhdlString s,s1;if (!hasError) {
     
     jj_consume_token(PROCEDURE_T);
     }
@@ -12595,13 +12600,13 @@ QCString VhdlParser::iproc() {QCString s,s1;if (!hasError) {
     s1 = param();
     }
     
-current->name=s;
+current->name=s.data();
   return "procedure "+s+s1;
 assert(false);
   }
 
 
-QCString VhdlParser::ifunc() {QCString s,s1,s2,s3;Token *t=0;Token *t1=0;Token *t2=0;if (!hasError) {
+VhdlString VhdlParser::ifunc() {VhdlString s,s1,s2,s3;Token *t=0;Token *t1=0;Token *t2=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case IMPURE_T:
@@ -12693,17 +12698,17 @@ QCString VhdlParser::ifunc() {QCString s,s1,s2,s3;Token *t=0;Token *t1=0;Token *
     }
     }
     
-QCString q;
+VhdlString q;
       if(t) q=t->image.data();
       if(t2) s3="<>";
       if (!s3.isEmpty())
       {
         s3.prepend(" is ");
       }
-     current->name=s;
+     current->name=s.data();
     if (parse_sec==GEN_SEC)
                     {
-                      QCString ss=q+" function "+s1+" return "+s2+s3;
+                      VhdlString ss=q+" function "+s1+" return "+s2+s3;
                       int a=getLine(FUNCTION_T);
                       int b=getLine(PROCEDURE_T);
 
@@ -12715,7 +12720,7 @@ assert(false);
   }
 
 
-QCString VhdlParser::param() {QCString s,s1;Token *tok=0;if (!hasError) {
+VhdlString VhdlParser::param() {VhdlString s,s1;Token *tok=0;if (!hasError) {
     
     switch ((jj_ntk==-1)?jj_ntk_f():jj_ntk) {
     case PARAMETER_T:{if (!hasError) {
